import 'package:ernaehrung/android/components/food_list_component.dart';
import 'package:flutter/material.dart';
import 'package:hive/hive.dart';
import 'meal_page_text/title_component.dart';

class MealPageStatisticsFoodComponent extends StatelessWidget {
  const MealPageStatisticsFoodComponent({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: const BoxDecoration(
        color: Colors.white
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          const SizedBox(
            height: 24,
          ),
          const TitleComponent("Nahrung"),
          FoodComponent(box: Hive.box('STATISTICS_REDUCED'),)
        ],
      ),
    );
  }
}
